## r-cran-nanoarrow 0.4.0

=== DESCRIPTION ===
Package: nanoarrow
Title: Interface to the 'nanoarrow' 'C' Library
Version: 0.4.0
Authors@R: c(
    person(given = "Dewey",
           family = "Dunnington",
           role = c("aut", "cre"),
           email = "dewey@dunnington.ca",
           comment = c(ORCID = "0000-0002-9415-4582")),
    person("Apache Arrow", email = "dev@arrow.apache.org", role = c("aut", "cph")),
    person("Apache Software Foundation", email = "dev@arrow.apache.org", role = c("cph"))
  )
Description: Provides an 'R' interface to the 'nanoarrow' 'C' library and the
  'Apache Arrow' application binary interface. Functions to import and
  export 'ArrowArray', 'ArrowSchema', and 'ArrowArrayStream' 'C' structures
  to and from 'R' objects are provided alongside helpers to facilitate zero-copy
  data transfer among 'R' bindings to libraries implementing the 'Arrow' 'C'
  data interface.
License: Apache License (>= 2)
Encoding: UTF-8
RoxygenNote: 7.2.3
URL: https://github.com/apache/arrow-nanoarrow
BugReports: https://github.com/apache/arrow-nanoarrow/issues
Suggests: arrow (>= 9.0.0), bit64, blob, hms, rlang, testthat (>=
        3.0.0), tibble, vctrs, withr
Config/testthat/edition: 3
Config/build/bootstrap: TRUE
NeedsCompilation: yes
Packaged: 2024-02-01 20:13:43 UTC; deweydunnington
Author: Dewey Dunnington [aut, cre] (<https://orcid.org/0000-0002-9415-4582>),
  Apache Arrow [aut, cph],
  Apache Software Foundation [cph]
Maintainer: Dewey Dunnington <dewey@dunnington.ca>
Repository: CRAN
Date/Publication: 2024-02-01 20:40:02 UTC

=== debian/changelog ===
r-cran-nanoarrow (0.4.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 13 Feb 2024 15:03:17 +0100

r-cran-nanoarrow (0.3.0.1-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jan 2024 08:50:23 +0100

r-cran-nanoarrow (0.3.0.1-1) unstable; urgency=medium

  * Initial release (closes: #1060279)

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jan 2024 18:54:43 +0100

=== debian/control ===
Source: r-cran-nanoarrow
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nanoarrow
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nanoarrow.git
Homepage: https://cran.r-project.org/package=nanoarrow
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-nanoarrow
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R interface to the 'nanoarrow' 'C' Library
 Provides an 'R' interface to the 'nanoarrow' 'C' library and the
 'Apache Arrow' application binary interface. Functions to import and
 export 'ArrowArray', 'ArrowSchema', and 'ArrowArrayStream' 'C' structures
 to and from 'R' objects are provided alongside helpers to facilitate zero-copy
 data transfer among 'R' bindings to libraries implementing the 'Arrow' 'C'
 data interface.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bit64,
        r-cran-blob,
        r-cran-hms,
        r-cran-rlang,
        r-cran-testthat (>= 3.0.0),
        r-cran-tibble,
        r-cran-vctrs,
        r-cran-withr
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/nanoarrow_([-\d.]*)\.tar\.gz

## r-cran-nanoarrow 0.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: nanoarrow
 Title: Interface to the 'nanoarrow' 'C' Library
-Version: 0.4.0
+Version: 0.6.0
 Authors@R: c(
     person(given = "Dewey",
            family = "Dunnington",
@@ -18,18 +18,19 @@
   data interface.
 License: Apache License (>= 2)
 Encoding: UTF-8
-RoxygenNote: 7.2.3
-URL: https://github.com/apache/arrow-nanoarrow
+RoxygenNote: 7.3.2
+URL: https://arrow.apache.org/nanoarrow/latest/r/,
+        https://github.com/apache/arrow-nanoarrow
 BugReports: https://github.com/apache/arrow-nanoarrow/issues
-Suggests: arrow (>= 9.0.0), bit64, blob, hms, rlang, testthat (>=
-        3.0.0), tibble, vctrs, withr
+Suggests: arrow (>= 9.0.0), bit64, blob, hms, jsonlite, rlang, testthat
+        (>= 3.0.0), tibble, vctrs, withr
 Config/testthat/edition: 3
 Config/build/bootstrap: TRUE
 NeedsCompilation: yes
-Packaged: 2024-02-01 20:13:43 UTC; deweydunnington
+Packaged: 2024-10-13 02:45:31 UTC; deweydunnington
 Author: Dewey Dunnington [aut, cre] (<https://orcid.org/0000-0002-9415-4582>),
   Apache Arrow [aut, cph],
   Apache Software Foundation [cph]
 Maintainer: Dewey Dunnington <dewey@dunnington.ca>
 Repository: CRAN
-Date/Publication: 2024-02-01 20:40:02 UTC
+Date/Publication: 2024-10-13 04:30:03 UTC

=== debian/changelog ===
r-cran-nanoarrow (0.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 28 Jan 2025 09:23:52 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nanoarrow
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nanoarrow.git
 Homepage: https://cran.r-project.org/package=nanoarrow
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
          r-cran-bit64,
         r-cran-blob,
         r-cran-hms,
+        r-cran-jsonlite,
         r-cran-rlang,
         r-cran-testthat (>= 3.0.0),
         r-cran-tibble,

## r-cran-nanoarrow 0.7.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: nanoarrow
 Title: Interface to the 'nanoarrow' 'C' Library
-Version: 0.6.0
+Version: 0.7.0-2
 Authors@R: c(
     person(given = "Dewey",
            family = "Dunnington",
@@ -22,15 +22,17 @@
 URL: https://arrow.apache.org/nanoarrow/latest/r/,
         https://github.com/apache/arrow-nanoarrow
 BugReports: https://github.com/apache/arrow-nanoarrow/issues
-Suggests: arrow (>= 9.0.0), bit64, blob, hms, jsonlite, rlang, testthat
-        (>= 3.0.0), tibble, vctrs, withr
+Suggests: arrow (>= 9.0.0), bit64, blob, dplyr, hms, jsonlite, rlang,
+        testthat (>= 3.0.0), tibble, vctrs, withr
+SystemRequirements: libzstd (optional)
 Config/testthat/edition: 3
 Config/build/bootstrap: TRUE
 NeedsCompilation: yes
-Packaged: 2024-10-13 02:45:31 UTC; deweydunnington
-Author: Dewey Dunnington [aut, cre] (<https://orcid.org/0000-0002-9415-4582>),
+Packaged: 2025-12-04 03:22:02 UTC; dewey
+Author: Dewey Dunnington [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-9415-4582>),
   Apache Arrow [aut, cph],
   Apache Software Foundation [cph]
 Maintainer: Dewey Dunnington <dewey@dunnington.ca>
 Repository: CRAN
-Date/Publication: 2024-10-13 04:30:03 UTC
+Date/Publication: 2025-12-04 15:20:02 UTC

## r-cran-nanoarrow 0.7.0-2

=== debian/changelog ===
r-cran-nanoarrow (0.7.0-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 19 Jan 2026 16:22:00 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-nanoarrow
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nanoarrow
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nanoarrow.git
 Homepage: https://cran.r-project.org/package=nanoarrow
-Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-nanoarrow
 Architecture: any

=== debian/tests/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Depends: @,
          r-cran-bit64,
         r-cran-blob,
+        r-cran-dplyr,
         r-cran-hms,
         r-cran-jsonlite,
         r-cran-rlang,

## r-cran-nanoarrow 0.7.0-3

=== debian/changelog ===
r-cran-nanoarrow (0.7.0-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Thu, 05 Feb 2026 09:59:39 +0900

=== debian/control ===
Source: r-cran-nanoarrow
Section: gnu-r
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nanoarrow
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nanoarrow.git
Homepage: https://cran.r-project.org/package=nanoarrow
Standards-Version: 4.7.3
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 architecture-is-64-bit,
 architecture-is-little-endian,
Testsuite: autopkgtest-pkg-r

Package: r-cran-nanoarrow
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R interface to the 'nanoarrow' 'C' Library
 Provides an 'R' interface to the 'nanoarrow' 'C' library and the
 'Apache Arrow' application binary interface. Functions to import and
 export 'ArrowArray', 'ArrowSchema', and 'ArrowArrayStream' 'C' structures
 to and from 'R' objects are provided alongside helpers to facilitate zero-copy
 data transfer among 'R' bindings to libraries implementing the 'Arrow' 'C'
 data interface.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-bit64,
 r-cran-blob,
 r-cran-dplyr,
 r-cran-hms,
 r-cran-jsonlite,
 r-cran-rlang,
 r-cran-testthat,
 r-cran-tibble,
 r-cran-vctrs,
 r-cran-withr,
 r-cran-testthat (>= 3.0.0),

## r-cran-nanoarrow 0.8.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: nanoarrow
 Title: Interface to the 'nanoarrow' 'C' Library
-Version: 0.7.0-2
+Version: 0.8.0
 Authors@R: c(
     person(given = "Dewey",
            family = "Dunnington",
@@ -18,21 +18,21 @@
   data interface.
 License: Apache License (>= 2)
 Encoding: UTF-8
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 URL: https://arrow.apache.org/nanoarrow/latest/r/,
         https://github.com/apache/arrow-nanoarrow
 BugReports: https://github.com/apache/arrow-nanoarrow/issues
-Suggests: arrow (>= 9.0.0), bit64, blob, dplyr, hms, jsonlite, rlang,
-        testthat (>= 3.0.0), tibble, vctrs, withr
+Suggests: arrow (>= 9.0.0), bit64, blob, dplyr, hms, jsonlite,
+        reticulate, rlang, testthat (>= 3.0.0), tibble, vctrs, withr
 SystemRequirements: libzstd (optional)
 Config/testthat/edition: 3
 Config/build/bootstrap: TRUE
 NeedsCompilation: yes
-Packaged: 2025-12-04 03:22:02 UTC; dewey
+Packaged: 2026-02-09 16:23:20 UTC; dewey
 Author: Dewey Dunnington [aut, cre] (ORCID:
     <https://orcid.org/0000-0002-9415-4582>),
   Apache Arrow [aut, cph],
   Apache Software Foundation [cph]
 Maintainer: Dewey Dunnington <dewey@dunnington.ca>
 Repository: CRAN
-Date/Publication: 2025-12-04 15:20:02 UTC
+Date/Publication: 2026-02-10 06:10:02 UTC

=== debian/changelog ===
r-cran-nanoarrow (0.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Feb 2026 11:02:04 +0900

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-cran-nanoarrow
-Section: gnu-r
+Standards-Version: 4.7.3
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nanoarrow
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nanoarrow.git
-Homepage: https://cran.r-project.org/package=nanoarrow
-Standards-Version: 4.7.3
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Build-Depends:
  debhelper-compat (= 13),
  dh-r,
  r-base-dev,
  architecture-is-64-bit,
  architecture-is-little-endian,
-Testsuite: autopkgtest-pkg-r
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nanoarrow
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nanoarrow.git
+Homepage: https://cran.r-project.org/package=nanoarrow
+Rules-Requires-Root: no
 
 Package: r-cran-nanoarrow
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-arrow (>= 9.0.0),
 r-cran-bit64,
 r-cran-blob,
 r-cran-dplyr,
 r-cran-hms,
 r-cran-jsonlite,
 r-cran-reticulate,
 r-cran-rlang,
 r-cran-testthat (>= 3.0.0),
 r-cran-tibble,
 r-cran-vctrs,
 r-cran-withr,
